<script>
  // Import modules
  import { json } from "d3-fetch";
  import { onMount } from "svelte";

  // Import sub-components
  import Plot from "./_design_1_plot.svelte";
  import City from "./_design_1_city.svelte";
  import Scaling from "./_design_1_scaling.svelte";

  // Load the data
  let data = null;
  onMount(async () => {
  data = await json("/data/hourly_heating_december.json");
  });
  
  let city = "Baltimore";
  let scaling = "within";

  function data_filter(data, city){
    return data.filter(d => d.city == city);
  }
</script>

{#if !data}
  <p>Loading the data. Please wait...</p>
{:else}
  <div>
    <p class="title">Hourly energy consumption during December</p>
    <Plot data={data_filter(data, city)} scaling={scaling} city={city}/>
    <div class="row">
      <City bind:city={city}/>
      <Scaling bind:scaling={scaling}/>
    </div>
  </div>
{/if} 

<style>
 .title {
    font-size: 20px;
    font-weight: bold;
    text-align:center;
  }
</style>
  